Subject: Re: [bug#75445] [PATCH 0/7] Add xen-guest-agent and daemon

From: "Raven Hallsby" <[email-masked]>
Date: Sun, 16 Feb 2025 23:00:41 -0600

> ... and I'll let you all handle the service.

Just to keep this moving, are there any edits I need to make to get the
service-type merged? It is significantly simpler than its
xe-guest-utilities cousin, because it supports fewer features.

Efraim Flashner <[email-masked]> writes:

> I pushed 3 of the 5 rust- packages (not the 2 that weren't actually
> needed) and xen-guest-agent, and I'll let you all handle the service.
>
> On Wed, Jan 08, 2025 at 02:12:48PM -0600, Karl Hallsby via Guix-patches via wrote:
>> This train adds the necessary Rust packages requried to build the
>> xen-guest-agent package, builds it, and defines a service-type for
>> running it as a daemon.
>>
>> The guest agent allows the virtualizing host (Xen) to receive
>> information about the running OS guest and the host to send graceful
>> versions of commands to the guest.
>>
>> The service-type is mutually exclusive with the xe-guest-utilities
>> service-type and daemon introduced in issue #72249.
>>
>> Karl Hallsby (7):
>>   gnu: Add rust-uname-0.1.
>>   gnu: Add rust-xenstore-sys-0.3
>>   gnu: Add rust-xenstore-sys-0.2
>>   gnu: Add rust-xenstore-rs-0.7
>>   gnu: Add rust-xenstore-rs-0.6
>>   gnu: Add xen-guest-agent.
>>   services: Add xen-guest-agent-service-type.
>>
>>  doc/guix.texi                   |  24 +++++++
>>  gnu/packages/crates-io.scm      | 112 ++++++++++++++++++++++++++++++++
>>  gnu/packages/virtualization.scm |  51 +++++++++++++++
>>  gnu/services/virtualization.scm |  34 +++++++++-
>>  4 files changed, 220 insertions(+), 1 deletion(-)
>>
>>
>> base-commit: 4eaeff997907bc1b67884a6dc087756a50f175e2
>> prerequisite-patch-id: daabcb5995f03ed867a27648e973e1c2203f2bc9
>> prerequisite-patch-id: 10ca9a0912c5ab863ed39f14959581e75962ada9
>> --
>> 2.46.0
>>

--
Raven Hallsby